Bug 1913795 - Changes/MinGW environment and toolchain update
Summary: Changes/MinGW environment and toolchain update
Keywords:
Status: ON_QA
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sandro Mani
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F34Changes
TreeView+ depends on / blocked
 
Reported: 2021-01-07 16:01 UTC by Ben Cotton
Modified: 2022-05-12 16:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)

Description Ben Cotton 2021-01-07 16:01:42 UTC
This is a tracking bug for Change: Changes/MinGW environment and toolchain update
For more details, see: https://fedoraproject.org/wiki/Changes/F34MingwEnvToolchainUpdate

Update the MinGW base environment and toolchain to the latest upstream stable releases.

Comment 1 Ben Cotton 2021-02-09 14:58:40 UTC
Today we reached the Completion deadline (testable) milestone in the Fedora schedule. All approved changes should be in a testable state. If you change is testable, please indicate this by setting the status to MODIFIED.

If you need to defer the change to Fedora 35 or withdraw the change entirely, please indicate this in a comment and NEEDINFO bcotton.

The 100% code complete deadline is Tuesday 23 February. By that date, your change should be fully implemented and the tracking bug set to ON_QA.

For other Fedora 34 milestones, see https://fedorapeople.org/groups/schedule/f-34/f-34-key-tasks.html

Comment 2 Sandro Mani 2021-02-09 15:03:00 UTC
This has partially landed (mingw-w64-8.0.0 is now in Rawhide/F34).

mingw-binutils-3.36 is deferred to the next MinGW Toolchain update (once the native binutils is updated to 3.36).

mingw-gcc-11.0 is deferred to the next MinGW Toolchain update (blocked by https://gcc.gnu.org/bugzilla/show_bug.cgi?id=97618).

Comment 3 Ben Cotton 2021-02-16 15:51:49 UTC
Reminder: The change complete (100% complete) deadline for Fedora 34 changes is Tuesday 23 February. At that point, changes should be 100% code complete, along with supporting documentation where appropriate. Please indicate this by setting the tracker bug for your change to ON_QA.

Comment 4 Ben Cotton 2021-02-23 16:37:58 UTC
Today is the change complete (100% complete) deadline for Fedora 34 changes. At this point, changes should be 100% code complete, along with supporting documentation where appropriate. Please indicate this by setting the tracker bug for your change to ON_QA. If you need to defer this change to Fedora 35, please set the version to 'rawhide'.

As a reminder, the Beta freeze is now in effect.

Comment 5 Sandro Mani 2021-02-23 21:38:35 UTC
It's as complete as it will be for F35, namely everything landed except the GCC update. That one is deferred to the next cycle.

Comment 6 Ben Cotton 2022-05-12 16:58:38 UTC
This message is a reminder that Fedora Linux 34 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 34 on 2022-06-07.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '34'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 34 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.


Note You need to log in before you can comment on or make changes to this bug.